Skip to Content
🚀 Welcome to Humansoft Open API Documentation

Get Employee Typing Skill

ดึงข้อมูลทักษะการพิมพ์ของพนักงานตาม ID

employee_typing_skill_id ต้องส่งเป็น Base64-encoded string ใน query parameter

Endpoint

GET /api/v1/open-apis/employee/get-employee-data-filter?path_action=get-typing-skill

Query Parameters

ParameterTypeRequiredDescription
path_actionstringYesต้องเป็น get-typing-skill
employee_typing_skill_idstringYesID ของทักษะการพิมพ์ (Base64 encoded)
language_codestringNoภาษา (TH / EN)

Response Format

Success Response

{ "code": 200, "message": "สำเร็จ", "payload": { "employee_typing_skill_id": "20260121TS01E2F3A4B5", "employee_id": "20260121EM01A2B3C4D5", "language_name": "ภาษาไทย", "typing_speed": 45, "created": "2026-01-10 09:00:00", "last_upd": "2026-01-12 14:30:00" } }

Response Fields

FieldTypeDescription
employee_typing_skill_idstringID ของทักษะการพิมพ์
employee_idstringID ของพนักงาน
language_namestringภาษาที่พิมพ์
typing_speednumberความเร็ว (คำ/นาที)
createddatetimeวันเวลาที่สร้าง
last_upddatetimeวันเวลาที่อัปเดตล่าสุด

Error Response

{ "code": 400, "message": "ไม่สำเร็จ", "error": "Missing required parameter: employee_typing_skill_id" }

Code Examples

curl -X GET "https://openapi.humansoft.co.th/api/v1/open-apis/employee/get-employee-data-filter?path_action=get-typing-skill&employee_typing_skill_id=MjAyNjAxMjFUUzAxRTJGM0E0QjU=" \ -H "Ocp-Apim-Subscription-Key: YOUR_API_KEY" \ -H "Content-Type: application/json"

Last updated on